Skip to main content
GET
List Invoices

Authorizations

Authorization
string
header
required

Bearer API Key authentication. Format: Authorization: Bearer {your_api_key}

Headers

Request-Id
string
default:008e3967-a1b5-48bb-be14-d5bff5092e61
required

The unique identifier of the request

Query Parameters

invoice_ids
string[]

Invoice ID array, filter invoices whose IDs belong to this array

trade_ids
string[]

Trade ID array, filter invoices whose Trade IDs belong to this array

order_ids
string[]

Order ID array, filter invoices whose Order IDs belong to this array

subscription_id
string

Subscription ID

customer_id
string

Customer ID

biz_status
string[]

Invoice status array, filter invoices whose status belong to this array

  • open: Initial state
  • pending: Invoice pending
  • retrying: Invoice retrying
  • success: Invoice successful
  • failed: Invoice failed
  • refunded: Invoice fully refunded
  • partially_refunded: Invoice partially refunded
invoice_types
string[]

Invoice type array, filter invoices whose type belong to this array

  • initial: First payment
  • trial: Trial period
  • renewal: Renewal
  • refund: Refund
starting_after
string

Cursor for pagination. starting_after is the object ID that defines your position in the list. For example, if you want to get the next page, you can use the last object's ID as the parameter value after getting the object list for the first time. Cannot be used together with ending_before

ending_before
string

Cursor for pagination. ending_before is the object ID that defines your position in the list. For example, if you want to get the previous page, you can use the first object's ID as the parameter value after getting the object list for the first time. Cannot be used together with starting_after

limit
integer<int32>

Pagination parameter, number of items per page, default: 10, interface defaults to sorting by creation time in descending order. Limit: [1, 100]

created_at.gt
string

Minimum value to filter by (exclusive, UTC time in RFC3339 format, such as '2025-01-01T00:00:00Z')

created_at.gte
string

Minimum value to filter by (inclusive, UTC time in RFC3339 format, such as '2025-01-01T00:00:00Z')

created_at.lt
string

Maximum value to filter by (exclusive, UTC time in RFC3339 format, such as '2025-01-01T00:00:00Z')

created_at.lte
string

Maximum value to filter by (inclusive, UTC time in RFC3339 format, such as '2025-01-01T00:00:00Z')

Response

200 - application/json

OK

code
string

error code

message
string

error message

data
object